<?php

/* 
	Copyright 2012 John Robertson
	Released under the GNU/GPL license

	This file is part of the Global Post Limit mod for SMF2.

    This is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

	if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
		require_once(dirname(__FILE__) . '/SSI.php');
	elseif (!defined('SMF'))
		die('<b>Error:</b> Cannot install Post Limit Mod. - please verify you put this in the same place as SMF\'s index.php.');

	// Load the SMF DB Functions
	db_extend('packages');

	// add settings into SMF.
	// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
	$mod_settings = array(
		'postlimit_max_posts' => '20', // default to 20 posts
		'postlimit_exclude' => serialize(array('1')), // admins excluded by default
		'postlimit_msg' => '',
	);

	updateSettings($mod_settings);

?>